Last-Update: 2018-06-29
Forwarded: not-needed
Author: Dmitry Smirnov <onlyjob@debian.org>
Description: update import path.

--- a/helper/ldaputil/client.go
+++ b/helper/ldaputil/client.go
@@ -11,9 +11,9 @@
 	"net/url"
 	"strings"
 	"text/template"
 
-	"github.com/go-ldap/ldap"
+	"gopkg.in/ldap.v2"
 	"github.com/hashicorp/errwrap"
 	"github.com/hashicorp/go-hclog"
 	"github.com/hashicorp/go-multierror"
 	"github.com/hashicorp/vault/helper/tlsutil"
--- a/helper/ldaputil/connection.go
+++ b/helper/ldaputil/connection.go
@@ -2,9 +2,9 @@
 
 import (
 	"crypto/tls"
 
-	"github.com/go-ldap/ldap"
+	"gopkg.in/ldap.v2"
 )
 
 // Connection provides the functionality of an LDAP connection,
 // but through an interface.
--- a/helper/ldaputil/ldap.go
+++ b/helper/ldaputil/ldap.go
@@ -2,9 +2,9 @@
 
 import (
 	"crypto/tls"
 
-	"github.com/go-ldap/ldap"
+	"gopkg.in/ldap.v2"
 )
 
 func NewLDAP() LDAP {
 	return &ldapIfc{}
--- a/vendor/github.com/hashicorp/vault-plugin-secrets-ad/plugin/client/client.go
+++ b/vendor/github.com/hashicorp/vault-plugin-secrets-ad/plugin/client/client.go
@@ -6,9 +6,9 @@
 	"strings"
 	"time"
 
 	"github.com/go-errors/errors"
-	"github.com/go-ldap/ldap"
+	"gopkg.in/ldap.v2"
 	"github.com/hashicorp/go-hclog"
 	"github.com/hashicorp/vault/helper/ldaputil"
 	"golang.org/x/text/encoding/unicode"
 )
--- a/vendor/github.com/hashicorp/vault-plugin-secrets-ad/plugin/client/entry.go
+++ b/vendor/github.com/hashicorp/vault-plugin-secrets-ad/plugin/client/entry.go
@@ -2,9 +2,9 @@
 
 import (
 	"strings"
 
-	"github.com/go-ldap/ldap"
+	"gopkg.in/ldap.v2"
 )
 
 // Entry is an Active Directory-specific construct
 // to make knowing and grabbing fields more convenient,
